# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname django-tables
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%define gitdate 20101124
%define git_version 02ecf61

%define snapshot %{gitdate}git%{git_version}

Name:           python-module-django-tables
Version:        0.3
Release:        alt1_0.6.%{snapshot}
Summary:        A Django Queryset renderer

Group:          Development/Python
License:        BSD
URL:            http://github.com/miracle2k/django-tables
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone https://github.com/miracle2k/django-tables.git
#  cd django-tables
#  git archive --format=tar --prefix=django-tables-0.3/ 02ecf61 | gzip >django-tables-0.3-20101124git02ecf61.tar.gz
Source0:        django-tables-%{version}-%{snapshot}.tar.gz

BuildArch:      noarch
BuildRequires:  python-module-setuptools
BuildRequires:  python-devel
Source44: import.info

%description
Render QuerySets as tabular data in Django.

%prep
%setup -n %{oldname}-%{version} -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%doc LICENSE README TODO tests
%{python_sitelibdir_noarch}/*

%changelog
* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.6.20101124git02ecf61
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.5.20101124git02ecf61
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_0.4.20101124git02ecf61
- initial fc import

